- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::noding::FastNodingValidator Class Reference

Validates that a collection of SegmentStrings is correctly noded. More...

`#include <FastNodingValidator.h>`

List of all members.

## Public Member Functions
| FastNodingValidator (std::vector< noding::SegmentString * > &newSegStrings)
bool | isValid ()
std::string | getErrorMessage () const
void | checkValid ()

## Detailed Description

Validates that a collection of SegmentStrings is correctly noded.

Uses indexes to improve performance. Does NOT check a-b-a collapse situations. Also does not check for endpt-interior vertex intersections. This should not be a problem, since the noders should be able to compute intersections between vertices correctly. User may either test the valid condition, or request that a TopologyException be thrown.

Version:
  1.7

## Member Function Documentation

bool geos::noding::FastNodingValidator::isValid | ( |  | ) | `[inline]`

Checks for an intersection and reports if one is found.

Returns:
  true if the arrangement contains an interior intersection

std::string geos::noding::FastNodingValidator::getErrorMessage | ( |  | ) | const

Returns an error message indicating the segments containing the intersection.

Returns:
  an error message documenting the intersection location

void geos::noding::FastNodingValidator::checkValid | ( |  | ) |

Checks for an intersection and throws a TopologyException if one is found.

Exceptions:

  | TopologyException | if an intersection is found

The documentation for this class was generated from the following file:

- FastNodingValidator.h